## adun.app 0.81

=== debian/changelog ===
adun.app (0.81-8build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 13:04:14 -0500

adun.app (0.81-8) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807176

  [ Andreas Tille ]
  * drop debian/menu file

 -- Andreas Tille <tille@debian.org>  Sun, 06 Dec 2015 19:46:48 +0100

adun.app (0.81-7) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/patches/gcc-warnings.patch: New, adapt to the new GNUstep API
    and fix some important warnings (Closes: #749733).
  * debian/patches/enable-scripting-extension.patch:
  * debian/patches/enable-sql-extension.patch: New.
  * debian/patches/series: Update.
  * debian/rules: Simplify.
  * debian/control (Section): Change to "science", more appropriate.
    (Standards-Version): Bump to 3.9.5 (no changes needed).
    (Build-Depends): Add libsteptalk-dev and libsqlclient-dev for the
    scripting and SQL extensions.  Require gnustep-make (>= 2.6.6-2).
    (Depends): Add steptalk; temporary solution until it is fixed.
    (adun-core, adun.app-dbg): New packages (Closes: #671226).  Amend
    descriptions and package relationships accordingly.
  * debian/install:
  * debian/mangpages: Move items for adun-core to...
  * debian/adun-core.install:
  * debian/adun-core.manpages: ...new files.
  * debian/dirs:
  * debian/README.source: Delete.
  * debian/README.Debian: Add info about the built-in extensions.
  * debian/UL.desktop: Add Keywords field.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Unneeded mips workaround was removed
    Closes: #789983
  * DEP5 copyright
  * Add license of icons provided also by tango-icon-theme
  * Add license of StepTalk files
  * Add license of MIT files

  [ Gregor Hermann ]
  * Fix "ftbfs with GCC-5": apply patch from Matthias Klose,
    adjusted to changes between -6 and -7:
    debian/rules: build with "-fgnu89-inline".
    (Closes: #777766)

 -- Andreas Tille <tille@debian.org>  Fri, 28 Aug 2015 16:09:28 +0200

adun.app (0.81-6) unstable; urgency=low

  [ Charles Plessy ]
  * Renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/source/format: 3.0 (quilt)
  * debian/upstream: Small modifications to better match
    definition of References
  * debian/control:
     - cme fix dpkg-control
  * debian/rules:
     - dh
     - hardening

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 13:54:30 +0100

adun.app (0.81-5) unstable; urgency=low

  * Use quilt instead of dpatch
  * Apply patch provided by Andreas Moog <amoog@ubuntu.com> (Thanks
    to Andreas) to fix a build failure
    Closes: 631641 (LP: 771041)
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)
  * Corrected Vcs-URLs

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2011 10:38:55 +0200

adun.app (0.81-4) unstable; urgency=low

  * debian/rules (mipsen-flags): New variable, conditionally define only
    when building on mips/mipsel as a workaround for gcc-4.4 bug #519006.
    (build-stamp): Use it.
  * debian/control (Build-Depends): Remove obsolete version requirement
    for libgnustep-gui-dev.
    (Standards-Version): Compliant with 3.9.1 (no changes required).

 -- Yavor Doganov <yavor@gnu.org>  Mon, 09 Aug 2010 16:16:34 +0300

adun.app (0.81-3) unstable; urgency=low

  [ Charles Plessy ]
  * Documented informations in ‘debian/upstream-metadata.yaml’.

  [ Yavor Doganov ]
  * debian/rules: Export GNUSTEP_MAKEFILES and avoid gs_make.  All uses
    updated.  Add verbose comments about GNUstep-specific stuff for the
    benefit of other debian-med contributors.
    (OPTFLAG): Remove and simplify noopt handling to be compatible with
    gnustep-make/2.4.x (Closes: #581886).
  * debian/control (Depends): Add ${misc:Depends}.
    (Standards-Version): Compliant with 3.8.4 (no changes needed).
  * debian/source/format: New file.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 May 2010 17:06:31 +0300

adun.app (0.81-2) unstable; urgency=high

  * debian/rules (build-stamp): Pass GNUSTEP_MAKE_PARALLEL_BUILDING=no;
    fixes FTBFS with gnustep-make/2.2.0.  (Closes: #560514)

 -- Yavor Doganov <yavor@gnu.org>  Fri, 11 Dec 2009 10:55:02 +0200

adun.app (0.81-1) unstable; urgency=low

  [ Andreas Tille ]
  * Fixed watch file (Thanks to Daniel Leidert <daniel.leidert@wgdd.de>)
    Closes: #520917
  * Standards-Version: 3.8.1 (no changes needed)

  [ David Paleino ]
  * Using DM-Upload-Allowed instead of the XS- version.
  * Fixing Vcs-* fields.

  [ Yavor Doganov ]
  * New upstream release.
  * debian/compat: Set to 7.
  * debian/control (Uploaders): Reluctantly add myself.
    (Section): Change to gnustep to match the override.
    (Build-Depends): Bump debhelper to >= 7.  Add imagemagick for the icon
    conversion.
    (Standards-Version): Claim compliance with 3.8.3.
    (Depends): Add ${gnustep:Depends}.
  * debian/patches/10_gcc-4.3-inline.dpatch:
  * debian/patches/25_mipsel-ftbfs.dpatch: Remove; fixed upstream.
  * debian/patches/15_link-properly.dpatch: Update and remove the
    workaround for the GSL linking issue; fixed in binutils
    (http://sourceware.org/ml/binutils/2009-01/msg00413.html).
  * debian/patches/20_paths.dpatch: Refresh.
  * debian/patches/00list: Update.
  * debian/rules (external): New variable.
    (build-stamp): Convert the icon in XPM format.
    (install): Use dh_prep instead of dh_clean -k.  Install the XPM icon.
    (clean-patched): Don't make the `clean' target, `distclean' is
    sufficient.  Delete the generated icon.
  * debian/UL.desktop: Set Version to 1.0, add Icon field.
  * debian/menu: Add icon.
  * debian/watch: Comment out the uversionmangle option, does harm with
    the current state of affairs.
  * debian/copyright: Update copyright years.  Mention that the package is
    distributed under GPLv3+.

