=== debian/control ===
Source: adun.app
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Yavor Doganov <yavor@gnu.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               gnustep-make (>= 2.6.6-2),
               libgnustep-gui-dev,
               libsteptalk-dev,
               libsqlclient-dev,
               libgsl-dev,
               imagemagick
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/adun.app/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/adun.app/trunk/
Homepage: http://diana.imim.es/Adun

Package: adun.app
Architecture: any
Depends: adun-core (= ${binary:Version}),
         ${shlibs:Depends},
         steptalk,
         ${misc:Depends},
         ${gnustep:Depends}
Recommends: gnuplot
Description: Molecular Simulator for GNUstep (GUI)
 Adun is a biomolecular simulator that also includes data management and
 analysis capabilities.  It was developed at the Computational Biophysics
 and Biochemistry Laboratory, a part of the Research Unit on Biomedical
 Informatics of the UPF.
 .
 This package contains UL, the Adun GUI frontend. 

Package: adun-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gnustep:Depends}
Breaks: adun.app (<< 0.81-7)
Replaces: adun.app (<< 0.81-7)
Description: Molecular Simulator
 Adun is a biomolecular simulator that also includes data management and
 analysis capabilities.  It was developed at the Computational Biophysics
 and Biochemistry Laboratory, a part of the Research Unit on Biomedical
 Informatics of the UPF.
 .
 This package contains the AdunCore program and the Adun server.  If
 you want the graphical UI frontend, install the adun.app package.

Package: adun.app-dbg
Architecture: any
Section: debug
Priority: extra
Depends: adun-core (= ${binary:Version}) | adun.app (= ${binary:Version}),
         ${misc:Depends},
         ${gnustep:Depends}
Description: Molecular Simulator for GNUstep (debugging symbols)
 Adun is a biomolecular simulator that also includes data management and
 analysis capabilities.
 .
 This package contains the detached debugging symbols.
