=== debian/watch ===
version=3
# Upstream used a broken versioning scheme where a major release is
# 0.7 and point releases are 0.71, 0.72, etc.  Hopefully this is no
# longer a concern, but if it turns out it is, uncommenting and
# amending the line below should "fix" the watchfile accordingly.
#opts=uversionmangle=s/^0\.([78])(\d)/0.$1.$2/, \
 http://download.gna.org/adun/Adun-([\d.]+)\.tar\.gz
